## org.apache.lucene.spatial.tier
Enum DistanceHandler.Precision

    java.lang.Object
      java.lang.Enum<DistanceHandler.Precision>
          org.apache.lucene.spatial.tier.DistanceHandler.Precision

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DistanceHandler.Precision>

Enclosing class:
  DistanceHandler

    public static enum DistanceHandler.Precision

extends java.lang.Enum<DistanceHandler.Precision>

Enum Constant Summary
`EXACT`
`TWENTYFEET`
`TWOFEET`
`TWOHUNDREDFEET`

Method Summary
`static DistanceHandler.Precision` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DistanceHandler.Precision[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXACT

    public static final DistanceHandler.Precision EXACT

### TWOFEET

    public static final DistanceHandler.Precision TWOFEET

### TWENTYFEET

    public static final DistanceHandler.Precision TWENTYFEET

### TWOHUNDREDFEET

    public static final DistanceHandler.Precision TWOHUNDREDFEET

Method Detail

### values

    public static DistanceHandler.Precision[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DistanceHandler.Precision c : DistanceHandler.Precision.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DistanceHandler.Precision valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.